# 
# RiskScape™ Copyright New Zealand Institute for Earth Science Limited
# (Earth Sciences New Zealand) is distributed for research purposes only
# under the terms of AGPLv3.
# 
# RiskScape™ Copyright 2025 New Zealand Institute for Earth Science
# Limited (Earth Sciences New Zealand). All rights reserved. Source code
# available under the AGPLv3.
# 
# This program is free software: you can redistribute it and/or modify it under
#  the terms of the GNU Affero General Public License as published by the Free
#  Software Foundation, either version 3 of the License, or (at your option) any
#  later version.
# 
# This program is distributed for RESEARCH PURPOSES ONLY, in the hope that it will
# be useful for research and education initiatives.
# 
# If you are not a researcher, or you are a researcher who wishes to use this
# program on terms other than AGPLv3 (including those who wish to restrict the
# distribution of any source code created using this program), please contact:
# https://riskscape.org.nz
# 
# This program is distributed WITHOUT ANY WARRANTY; without even the implied
# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Affero General Public License for more details.  You should have received a copy
# of the GNU Affero General Public License along with this program.  If not, see
# <http://www.gnu.org/licenses/>.
# 
# By way of summary only, under the AGPLv3:
#     • Permissions of this strongest copyleft license are conditioned
#       on making available complete source code of licensed works and
#       modifications, which include larger works using a licensed work,
#       under the same license.
#     • Copyright and license notices must be preserved.
#     • Contributors provide an express grant of patent rights.
#     • When a modified version is used to provide a service over a
#       network, the complete source code of the modified version must be made
#       available.
# 

nz.org.riskscape.postgis.PostGISProblems.CONNECTION_FAILURE = \
  Could not connect to {0} - {1}

nz.org.riskscape.postgis.PostGISProblems.CONNECTION_TIP_SPELLING = \
  Check that you've spelled the connection details correctly, such as the host and database name

nz.org.riskscape.postgis.PostGISProblems.CONNECTION_TIP_PASSWORD = \
  If the database requires a password, make sure you have set this via the `PGPASSWORD` \
  environment variable or via the password parameter

nz.org.riskscape.postgis.PostGISProblems.CONNECTION_TIP_CONNECTIVITY = \
  Check that this computer can reach the database server - talk to the owner of the database about how to connect to it

nz.org.riskscape.postgis.PostGISProblems.DATABASE_NOT_SPATIAL = \
  Cannot write geometry data to a non-spatial database. Maybe the `postgis` \
  extension needs to be enabled on the database (e.g `CREATE EXTENSION postgis;`)

nz.org.riskscape.postgis.PostGISProblems.PASSWORD_IN_CLEAR_TEXT = \
  Supplying postgis passwords in clear text is insecure \
  - consider using the PGPASSWORD environment variable instead

nz.org.riskscape.postgis.PostGISProblems.INVALID_LOCATION = \
  ''{0}'' is not a valid PostGIS location. Check that it is like \
  `postgis://USER@DB_HOST[:PORT]/DATABASE` and that if port is specified \
  that it is numeric.

nz.org.riskscape.postgis.PostGISProblems.IGNORED_FROM_LOCATION= \
  The location contains ''{0}'' in {1} that is being ignored

nz.org.riskscape.postgis.PostGISPipelineOutputStore = \
  PostGIS Output Store
